<?php 

// COMMENTS TEMPLATE

global $kryex;


if (post_password_required()) return; ?>

<?php if ( comments_open() ) : ?>
    <div id="comments" class="comments-area clear-fix">
            <?php if (have_comments()):?>
            <div class="comments-area-title">
                <div class="title"><?php $yorumx = $kryex['lang_comments']; ?><?php echo get_comments_number() .' '. $yorumx; ?></div>
            </div>
            <?php endif;?>

            <?php if ( have_comments() ) : ?>

            <ol class="commentlist">
                <?php wp_list_comments(
                    array(
                        'callback' => 'kryex_comments',
                        'short_ping'  => true
                )); ?>

            </ol>
            <?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' )): ?>
            <nav role="navigation" id="comment-nav-bottom" class="comment-navigation">
                <div class="nav-previous"><?php previous_comments_link( __( '&larr; Eski yorumlar', KRYEX_TEXT ) ); ?></div>
                <div class="nav-next"><?php next_comments_link( __( 'Yeni yorumlar &rarr;', KRYEX_TEXT ) ); ?></div>
            </nav>
            <?php endif; // check for comment navigation ?>
        <?php endif; // have_comments() ?>
        <?php
            // If comments are closed and there are comments, let's leave a little note, shall we?
            if ( ! comments_open() && post_type_supports( get_post_type(), 'comments' ) && !is_page() ) :
        ?>
            <p class="nocomments"><?php echo $kryex['lang_close_comments']; ?></p>
            <?php endif; ?>
    </div><!-- #comments .comments-area -->
    <?php
    $commenter = wp_get_current_commenter();
    $req = get_option( 'require_name_email' );
    $aria_req = ( $req ? " aria-required='true'" : '' );

    if (is_user_logged_in()) {

        $langname = $kryex['lang_name'];
        $langemail = $kryex['lang_email'];

        $current_user = wp_get_current_user();
        $comments_args = array(
            // remove "Text or HTML to be displayed after the set of comment fields"
            'comment_notes_before' => '',
            'comment_notes_after' => '',
            'fields' => apply_filters( 'comment_form_default_fields', array(

                'author' => '<p class="comment-form-author"><input id="author" name="author" type="text" placeholder="'.$langname.'..." size="30" ' .  $aria_req . ' required/></p>',
                'email' => '<p class="comment-form-email"><input id="email" name="email" size="30" type="text" placeholder="'.$langemail.'..." '. $aria_req .' required/></p>' ) ),
            'id_submit' => 'comment-submit',

            // redefine your own textarea (the comment body)
            $messagex = $kryex['lang_message'],
            'comment_field' => '<p class="comment-form-comment"><textarea id="comment" name="comment" cols="45" rows="8" aria-required="true" placeholder="' .$messagex. '" required></textarea></p>');
    } else {

        $langname = $kryex['lang_name'];
        $langemail = $kryex['lang_email'];

        $comments_args = array(
        // remove "Text or HTML to be displayed after the set of comment fields"
        'comment_notes_before' => '',
        'comment_notes_after' => '',
        'fields' => apply_filters( 'comment_form_default_fields', array(

                'author' => '<p class="comment-form-author"><input id="author" name="author" type="text" placeholder="'.$langname.'..." size="30" ' .  $aria_req . ' required/></p><!--',
                'email' => '--><p class="comment-form-email"><input id="email" name="email" size="30" type="text" placeholder="'.$langemail.'..." '. $aria_req .' required/></p><!--',
                'url' => '<p class="comment-form-url"><input id="url" name="url" size="30" placeholder="'.__('Website', KRYEX_TEXT ).'..." type="text" required></p>-->') ),
        'id_submit' => 'comment-submit',

        // redefine your own textarea (the comment body)
        $messagex = $kryex['lang_message'],
        'comment_field' => '<p class="comment-form-comment"><textarea id="comment" name="comment" cols="45" rows="8" aria-required="true" placeholder="'.$messagex.'" required></textarea></p>');
    }
    
    comment_form($comments_args); ?>
<?php endif; ?>