<?php
/**
 * Nano Theme
 * @package  Kryex Themes
 */

defined( 'ABSPATH' ) || exit; // Exit if accessed directly

?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width" />
<link rel="profile" href="http://gmpg.org/xfn/11">
<?php if( is_singular() && pings_open( get_queried_object() ) ): ?>
  <link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
<?php endif; ?>
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
<div class="placeholder"></div>
<header id="header" class="header centered clearfix">
<?php  get_template_part( 'template-parts/header/header', 'layout' ); ?>
</header>
<div id="fixed_space" class="sticky"></div>
<div class="container">