
(function($) {

	'use strict';

	/* İnfload Post
	/* ------------------------------------------------------------------- */
	$(window).scroll(function (){
	    var $permalink='';
	    var $title='';
	    $('.qwx').each(function(i){
	        var $cArt=$(this);
	        var $cArtTop = $cArt.offset().top;
	        var $cArtAllH = $cArtTop + $cArt.height();
	        var $wndTop = $(window).scrollTop();
	        var $wndAllH = $wndTop + $(window).height();
	        if ( $cArtAllH > $wndTop && $cArtTop < $wndAllH ) {
	            $permalink=$cArt.data('permalink');
	            if(!$cArt.data('title')){
	                $cArt.attr('data-title',$('head>title').text());
	            }
	            $title=$cArt.data('title');
	        }
	    }).promise().done(function(){
	        var $location=window.location.toString();
	        if($permalink&&$permalink!==$location){
	            window.history.pushState({url:$permalink},$title,$permalink);
	            $('head>title').html($title);
	            try{
	                if(window['GoogleAnalyticsObject']&&window[window['GoogleAnalyticsObject']]){
	                    window[window['GoogleAnalyticsObject']]('send', 'pageview', window.location.pathname);
	                    window[window['GoogleAnalyticsObject']]('send', 'event', 'view tracking', 'Single Infinite Scroll', window.location.pathname);
	                }
	            }catch(err){}
	        }
	    });
	});

	$(window).on('load', function () {
	    wavesReInit($('#theme-layout'));
	});

	/* Re Init
	/* ------------------------------------------------------------------- */
	function wavesReInit($selector){
	    "use strict";

     	/* Standard Blog Infinite */
	    $('.qpin-infinite-scroll.simple',$selector).each(function (i) {
	        var $currentInfinite = $(this);
	        var $currentNextLink = $currentInfinite.find('a.next').length?$currentInfinite.find('a.next'):$currentInfinite.find('.next>a');
	        $currentNextLink.unbind('click').bind('click', function (e) {e.preventDefault();
	            if ($currentInfinite.attr('data-has-next') === 'true') {
	                var $infiniteURL = $currentNextLink.attr('href');
	                $currentInfinite.addClass('waiting');
	                $currentInfinite.children('.next').hide();
	                $currentInfinite.children('.loading').css('display', 'inline-block');
	                $.ajax({
	                    type: "POST",
	                    url: $infiniteURL,
	                    success: function (response) {
	                        var $newElements = $(response).find('.qpin-infinite-scroll.simple').eq(i).parent();
	                        var $newURL = $newElements.find('.qpin-infinite-scroll>a.next').length?$newElements.find('.qpin-infinite-scroll>a.next').attr('href'):$newElements.find('.qpin-infinite-scroll>.next>a').attr('href');
	                        var $hasNext = $newElements.find('.qpin-infinite-scroll').attr('data-has-next');
	                        $newElements.find('.qpin-infinite-scroll').remove();
	                        if ($newElements.html()) {

	                            $($newElements).find('article').attr('data-title',$(response).filter('title').html());
	                            
	                            $currentInfinite.before($newElements.html());
	                            if ($hasNext === 'false') {
	                                $currentInfinite.attr('data-has-next', 'false');
	                                $currentInfinite.children('.loading').hide();
	                            } else {
	                                $currentNextLink.attr('href', $newURL);
	                                $currentInfinite.children('.loading').hide();
	                                $currentInfinite.children('.next').css('display', 'inline-block');
	                            }
	                        } else {
	                            $currentInfinite.attr('data-has-next', 'false');
	                            $currentInfinite.children('.loading').hide();
	                        }
	                        wavesReInit($currentInfinite.parent());
	                        $currentInfinite.removeClass('waiting');

	                    }
	                }).fail(function() {
	                    $currentInfinite.removeClass('waiting');
	                    $currentInfinite.attr('data-has-next', 'false');
	                    $currentInfinite.children('.loading').hide();
	                });
	            }
	        });
	        if ($currentInfinite.hasClass('infinite-auto')&&$currentNextLink.length) {
	            $(window).scroll(function () {
	                var addH=1400;
	                var $lnkAllH = $currentNextLink.offset().top + $currentNextLink.height();
	                var $wndAllH = $(window).scrollTop() + $(window).height()+addH;
	                if (!$currentInfinite.hasClass('waiting') && $lnkAllH < $wndAllH) {
	                    if($currentInfinite.closest('.blog-column').css('display')!=='none'){
	                        $currentNextLink.click();
	                    }
	                }
	            });
	        }
	    });
	}

})(jQuery);