<?php
/**
 * Nano Theme
 * @package  Kryex Themes
 */

defined( 'ABSPATH' ) || exit; // Exit if accessed directly

get_header();

global $kryex;

?>
  
<?php kryex_breadcrumbs(); ?>
<div class="row">
  <div class="col-md-8">
    <div class="archivePost search_page">
      <div class="section_title">
        <h1 class="archive_title">
          <i class="icofont-search-folder"></i> <?php printf( esc_html__(  $kryex['arama_sonuc'] .' : %s', KRYEX_TEXT ), '<span>' . get_search_query() . '</span>' ); ?>
        </h1>
      </div>
      <div class="kryex_pagination">
        <ul class="archive-post-list">
          <?php
            if( have_posts() ):
              while( have_posts() ): the_post();
                get_template_part( 'template-parts/content', get_post_format() );
              endwhile;
              wp_reset_postdata();
            else : ?>
              <div class="alert" role="alert">
                  <div class="container">
                    <i class="icofont-alarm"></i> <?php echo $kryex['sonuc_bulunamadi']; ?>
                  </div>
              </div><?php
            endif; ?>


        </ul>
        <div class="post-pagination text-center">
            <?php the_posts_pagination(array(
                'prev_text' => '<i class="icofont-rounded-double-left"></i>',
                'next_text' => '<i class="icofont-rounded-double-right"></i>',
                'type' => 'list',
                'screen_reader_text' => '',
            )); ?>
        </div>
      </div>
    </div>
  </div>
  <div class="sidebar_sticky col-md-4">
      <div class="author-right-sidebar">
          <?php dynamic_sidebar('archive_sidebar'); ?>
      </div>
  </div>
</div>
  
<?php get_footer();