<?php

/*
=============================================
    Include TGM Class
=============================================
*/

include_once get_template_directory() . '/inc/class-tgm-plugin-activation.php';

/*
=============================================
    Register Required Plugins
=============================================
*/

function newzx_theme_register_required_plugins() {

  $plugins = array(
    array(
      'name'          => 'Yoast SEO',
      'slug'          => 'wordpress-seo',
      'required'      => false,
    ),
    array(
      'name'          => 'One click demo import',
      'slug'          => 'one-click-demo-import',
      'required'      => false,
    ),
    
  );

  $config = array(
    'id'           => 'newzx',
    'default_path' => '',
    'menu'         => 'newzx-install-plugins',
    'has_notices'  => true,
    'dismissable'  => true,
    'dismiss_msg'  => '',
    'is_automatic' => true,
    'message'      => '',
  );

  tgmpa( $plugins, $config );
}

add_action( 'tgmpa_register', 'newzx_theme_register_required_plugins' );
